xine-lib: mpeg2_info_s Struct Reference

xine-lib 1.2.12

Data Fields
mpeg2_info_s Struct Reference

`#include <mpeg2.h>`

## Data Fields
const mpeg2_sequence_t * | sequence
const mpeg2_gop_t * | gop
const mpeg2_picture_t * | current_picture
const mpeg2_picture_t * | current_picture_2nd
const mpeg2_fbuf_t * | current_fbuf
const mpeg2_picture_t * | display_picture
const mpeg2_picture_t * | display_picture_2nd
const mpeg2_fbuf_t * | display_fbuf
const mpeg2_fbuf_t * | discard_fbuf
const uint8_t * | user_data
unsigned int | user_data_len

## Field Documentation

## ◆ current_fbuf

const mpeg2_fbuf_t* mpeg2_info_s::current_fbuf

Referenced by mpeg2_reset_info(), mpeg2_set_fbuf(), and mpeg2_video_decode_data().

## ◆ current_picture

const mpeg2_picture_t* mpeg2_info_s::current_picture

Referenced by mpeg2_header_picture_finalize(), mpeg2_reset_info(), and mpeg2_video_decode_data().

## ◆ current_picture_2nd

const mpeg2_picture_t* mpeg2_info_s::current_picture_2nd

Referenced by mpeg2_header_picture_finalize(), and mpeg2_reset_info().

## ◆ discard_fbuf

const mpeg2_fbuf_t* mpeg2_info_s::discard_fbuf

Referenced by mpeg2_header_end(), mpeg2_header_picture_finalize(), mpeg2_reset_info(), mpeg2_set_fbuf(), mpeg2_video_decode_data(), and mpeg2_video_reset().

## ◆ display_fbuf

const mpeg2_fbuf_t* mpeg2_info_s::display_fbuf

Referenced by mpeg2_header_end(), mpeg2_header_picture_finalize(), mpeg2_reset_info(), mpeg2_set_fbuf(), mpeg2_video_decode_data(), and mpeg2_video_reset().

## ◆ display_picture

const mpeg2_picture_t* mpeg2_info_s::display_picture

Referenced by mpeg2_header_end(), mpeg2_header_picture_finalize(), and mpeg2_reset_info().

## ◆ display_picture_2nd

const mpeg2_picture_t* mpeg2_info_s::display_picture_2nd

Referenced by mpeg2_header_end(), mpeg2_header_picture_finalize(), and mpeg2_reset_info().

## ◆ gop

const mpeg2_gop_t* mpeg2_info_s::gop

Referenced by invalid_end_action(), mpeg2_header_gop_finalize(), mpeg2_header_sequence_finalize(), mpeg2_header_slice_start(), mpeg2_reset(), and seek_sequence().

## ◆ sequence

const mpeg2_sequence_t* mpeg2_info_s::sequence

Referenced by mpeg2_header_sequence_finalize(), mpeg2_reset(), mpeg2_video_decode_data(), and seek_sequence().

## ◆ user_data

const uint8_t* mpeg2_info_s::user_data

Referenced by info_user_data(), mpeg2_header_slice_start(), mpeg2_parse_header(), and mpeg2_reset().

## ◆ user_data_len

unsigned int mpeg2_info_s::user_data_len

Referenced by info_user_data(), mpeg2_header_slice_start(), mpeg2_parse_header(), and mpeg2_reset().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_dec/libmpeg2new/include/mpeg2.h